=== debian/changelog ===
coq-highschoolgeometry (8.4+20150620-1) unstable; urgency=low

  * Initial release (Closes: #789432)

 -- Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>  Sat, 20 Jun 2015 18:58:01 +1000
