=== debian/watch ===
# Coq's user contribution website does not provide a way to check for new
# versions automatically (at least as far as I can tell)
